define(function() {
	var config = {
		"url": "http://app.xiaoshiyi.com.cn/",
		"URL_": "http://app.xiaoshiyi.com.cn",
		"android": $.device.android,
		"ios": $.device.ios,
	};
	//从主页跳转减少页面闪动
	var IsHomeGoTo = false;

	//搜索历史key
	var localStorageKey = {
		// "searchHistoryKey": "searchHistoryKey",
		// "searchContentKey": "searchContentKey",
		"loginAjaxDataKey": "loginAjaxDataKey",
		"LoginGoToBackKey": "LoginGoToBackKey",
		"loginData": "loginData",
		"PersonInfor": "PersonInfor",
		"StoreData": "StoreData"
	};

	var clientData = {
		"grant_type": "password",
		"client_id": "ac247ccaa7",
		"client_secret": "d2a57dc1d883fd21fb9951699df71cc7",

	};
	var access_token = '';

	var get = function(site, data, successfun, errorfun) {
		var temp_errorfun = function(xhr, type) {
			console.log('Ajax error!');
			console.log(xhr);
			console.log(type);
		};
		if(errorfun) {
			temp_errorfun = errorfun;
		}
		$.ajax({
			type: 'GET',
			url: config.url + site + ".json",
			// data to be added to query string:
			data: data,
			// type of data we are expecting in return:
			dataType: 'json',
			timeout: 5000,
			// context: $('body'),
			success: successfun,
			error: temp_errorfun
		});
	};

	var post = function(site, data, successfun, errorfun) {
		var temp_errorfun = function(xhr, type) {
			console.log('Ajax error!');
			console.log(xhr);
			console.log(type);

		};
		if(errorfun) {
			temp_errorfun = errorfun;
		}
		$.ajax({
			type: 'POST',
			url: config.url + site + ".json",
			// data to be added to query string:
			data: data,
			// type of data we are expecting in return:
			dataType: 'json',
			timeout: 5000,
			// context: $('body'),
			success: successfun,
			error: temp_errorfun
		});
	};

	var noasyncGet = function(site, data, successfun, errorfun) {
		var temp_errorfun = function(xhr, type) {
			console.log('Ajax error!');
			console.log(xhr);
			console.log(type);
		};
		if(errorfun) {
			temp_errorfun = errorfun;
		}
		$.ajax({
			type: 'GET',
			url: config.url + site + ".json",
			// data to be added to query string:
			data: data,
			// type of data we are expecting in return:
			dataType: 'json',
			timeout: 5000,
			async: false,
			// context: $('body'),
			success: successfun,
			error: temp_errorfun
		});

	};

	var noasyncPost = function(site, data, successfun, errorfun) {
		var temp_errorfun = function(xhr, type) {
			console.log('Ajax error!');
			console.log(xhr);
			console.log(type);
		};
		if(errorfun) {
			temp_errorfun = errorfun;
		}
		$.ajax({
			type: 'POST',
			url: config.url + site + ".json",
			// data to be added to query string:
			data: data,
			// type of data we are expecting in return:
			dataType: 'json',
			timeout: 5000,
			async: false,
			// context: $('body'),
			success: successfun,
			error: temp_errorfun
		});
	};

	var o2s = function(o) {
		var r = [];
		if(typeof o == "string") {
			return "\"" + o.replace(/([\'\"\\])/g, "\\$1").replace(/(\n)/g, "\\n").replace(/(\r)/g, "\\r").replace(/(\t)/g, "\\t") + "\"";
		}
		if(typeof o == "object") {
			if(!o.sort) {
				for(var i in o) {
					r.push(i + ":" + o2s(o[i]));
				}
				if(!!document.all && !/^\n?function\s*toString\(\)\s*\{\n?\s*\[native code\]\n?\s*\}\n?\s*$/.test(o.toString)) {
					r.push("toString:" + o.toString.toString());
				}
				r = "{" + r.join() + "}";
			} else {
				for(var i = 0; i < o.length; i++) {
					r.push(o2s(o[i]))
				}
				r = "[" + r.join() + "]";
			}
			return r;
		}
		return o.toString();
	};

	var setItem = function(key, data) {
		localStorage.setItem(key, data);
		//  store.set(key, data);
	};

	var getItem = function(key) {
		return localStorage.getItem(key);
		//  return store.get(key)
	};

	var delItem = function(key) {
		localStorage.removeItem(key);
		//  store.remove(key)
	};

	var checkToken = function() {

		// access_token 

	}

	var showPhotoChoose = function(camerafun) {
		var buttons1 = [{
			text: '请选择',
			label: true

		}, {
			text: '拍照',
			bold: true,
			onClick: function() {

				console.log("拍照");

				// device.takeHeadImg(true);
				camerafun(true);
			}
		}, {
			text: '从手机相册选择',
			onClick: function() {
				console.log("从手机相册选择");

				// device.takeHeadImg(false);
				camerafun(false);
			}
		}];
		var buttons2 = [{
			text: '取消',
		}];
		var groups = [buttons1, buttons2];
		$.actions(groups);
	};

	//返回所需参数给上层
	return {
		config: config,
		post: post,
		get: get,
		noasyncPost: noasyncPost,
		noasyncGet: noasyncGet,
		o2s: o2s,
		localStorageKey: localStorageKey,
		setItem: setItem,
		getItem: getItem,
		delItem: delItem,
		clientData: clientData,

		showPhotoChoose: showPhotoChoose,

		IsHomeGoTo: IsHomeGoTo,

	};
});