require(['ex', 'handle', 'login', 'home', 'order', 'shopManager','device'], function(ex, handle, login, home, order, shopManager,device) {
    var login_vm = null;
    var forgetPassword_Box_vm = null;
    var register_vm = null;
    $(document).on('beforePageSwitch', function(e, pageId, $page) {
        if (pageId == 'orderManage_page') {
            $('.orderManage_.pull-to-refresh-content').removeClass('active');
            $('.orderManage_  .pull-to-refresh-layer').addClass('noactive');
        }
        if (pageId == 'individualAccount_page') {
            $('.individualAccount_.pull-to-refresh-content').removeClass('active');
            $('.individualAccount_  .pull-to-refresh-layer').addClass('noactive');
        }
    });
    if ($.device.android) {
         document.addEventListener("deviceready", device.initJpush, false);

    }
    $(document).on("pageInit", function(e, pageId, $page) {
        if (pageId == "login_page") {
            if (!login_vm) {
                login_vm = new Vue({
                    el: "#Login_LoginBox",
                    data: {
                        input_phone: "",
                        input_password: "",
                    },
                    methods: {
                        BtnLogin: function(event) {
                            login.Login_main({
                                phone: this.input_phone,
                                secret: this.input_password
                            });
                        },

                    }
                });
            }

            login_vm.input_phone = "";
            login_vm.input_password = "";
            login.autoLogin();
        }
        if (pageId == "forgetPassword_page") {
            if (!forgetPassword_Box_vm) {

                forgetPassword_Box_vm = new Vue({
                    el: "#forgetPassword_Box_vm",
                    data: {
                        name: "",
                        ID: "",
                        phone: "",
                        verCode: "",
                        New_password: "",
                        True_new_password: ""
                    },
                    methods: {
                        VerificationFunc: function(event) {
                            handle.judgeTel(this.phone);
                        },
                        TrueModifyPassword: function(event) {
                            var DATA = {
                                "legalperson": this.name,
                                "legalpersonid": this.ID,
                                "username": this.phone,
                                "yzm": this.verCode,
                                "newpassword1": this.New_password,
                                "newpassword2": this.True_new_password
                            };
                            login.forgetPassword_main(DATA);
                        }
                    },
                });
            }
            forgetPassword_Box_vm.name = "";
            forgetPassword_Box_vm.ID = "";
            forgetPassword_Box_vm.phone = "";
            forgetPassword_Box_vm.verCode = "";
            forgetPassword_Box_vm.New_password = "";
            forgetPassword_Box_vm.True_new_password = "";
        }
        if (pageId == "businessRegistration") {
            if (!register_vm) {
                register_vm = new Vue({
                    el: "#register_registerBox",
                    data: {
                        name: "",
                        ID: "",
                        city: "",
                        tel: "",
                        verCode: "",
                        passWord: "",
                        True_passWord: "",
                        accountname: "",
                        accountnumber: "",
                        Bank: "",
                        //测试用的数组

                        voucherArr: {
                            1: "images/photo_01.png",
                            2: "images/photo_01.png",
                            3: "images/photo_02.png",
                            4: "images/photo_03.png",
                            5: "images/photo_04.png",
                            6: "images/photo_05.png",
                        },
                    },
                    methods: {
                        takeVoucherPic: function(index) {
                            var _self = this;
                            var takeHeadImg = function(is_camera) {
                                var _localimg = false;
                                var options = {
                                    quality: 60,
                                    destinationType: navigator.camera.DestinationType.FILE_URI,
                                    allowEdit: false,
                                    targetWidth: 620,
                                    targetHeight: 400,
                                    sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,

                                };
                                if (is_camera) options.sourceType = Camera.PictureSourceType.CAMERA;
                                var getImgSuccess = function(imgurl) {
                                    var theimg = new Array(); //定义一数组
                                    theimg = imgurl.split("?"); //字符分割 ,直接走相机就没有BUG,否则就有这个BUG
                                    console.log(theimg[0]);
                                    _localimg = theimg[0];
                                    saveImg_upload(_localimg, false)

                                };
                                $.toast("稍等...");
                                navigator.camera.getPicture(getImgSuccess, function(error) {
                                    console.log(error);
                                }, options);

                            };

                            var saveImg_upload = function(file, nothumb) {
                                var _httpimg = false;
                                var is_thumb = "1"; //0为原图,1为缩略图
                                if (nothumb) is_thumb = 0;
                                var serverimgURL = 'http://app.xiaoshiyi.com.cn/';
                                 var serverimgURL = ex.config.url;
                                var options = new FileUploadOptions();
                                options.fileKey = "avatar";
                                options.fileName = file.substr(file.lastIndexOf('/') + 1);
                                options.mimeType = "image/jpeg";
                                var params = {};
                                params.is_thumb = is_thumb;
                                options.params = params;
                                var ft = new FileTransfer();
                                ft.upload(file, encodeURI(serverimgURL + 'Public/imgToUrl'), function(data) {
                                    // console.log(JSON.stringify(data));
                                    _httpimg = JSON.parse(data.response).url;

                                    console.log("_httpimg : " + _httpimg);
                                    // ex.setItem("heading");
                                    // 赋值给
                                    // vue
                                    _self.voucherArr[index] = _httpimg;

                                    console.log(index + "----------" + _self.imgArr);
                                    $.alert("照片已修改,请保存");

                                }, function() {
                                    console.log("图片上传失败");
                                }, options);

                            };
                            ex.showPhotoChoose(takeHeadImg);
                        },

                        BtnTrueSubmit: function(event) {
                            login.register_main(this);
                        },
                        VerificationFunc: function(event) {
                            handle.judgeTel(this.tel);
                        },

                    }
                });
            }

            register_vm.tel = "";
            register_vm.passWord = "";
            register_vm.verCode = "";
            register_vm.name = "";
            register_vm.ID = "";
            register_vm.city = "";
            register_vm.accountname = "";
            register_vm.accountnumber = "";
            register_vm.True_passWord = "";
            register_vm.Bank = "";
            register_vm.voucherArr = {
                1: "images/photo_01.png",
                2: "images/photo_01.png",
                3: "images/photo_02.png",
                4: "images/photo_03.png",
                5: "images/photo_04.png",
                6: "images/photo_05.png",
            };

        }
        if (pageId == "home_page") {

            home.Inithome_vm();
        }
        if (pageId == "accountManage_page") {
            home.accountManage_main();
        }
        if (pageId == "individualAccount_page") {
            $('.individualAccount_.pull-to-refresh-content').addClass('active');
            $('.individualAccount_  .pull-to-refresh-layer').removeClass('noactive');
            home.individualAccountMain();
        }
        if (pageId == "individualAccount-2_page") {
            home.Withdrawal_main();
        }
        if (pageId == "shopManage_page") {
            home.storeManager_main();
        }
        if (pageId == "orderManage_page") {
            $('.orderManage_.pull-to-refresh-content').addClass('active');
            $('.orderManage_  .pull-to-refresh-layer').removeClass('noactive');
            order.orderManager_main();
        }
        if (pageId == "commodityManager_page") {
            shopManager.shopManager_main();
        }
        if (pageId == "editNewProduct_page") {
            shopManager.addNewProduct_main();
        }
        if (pageId == "editCommodity_page") {
            shopManager.modifyProduct_main();
        }
    });

    $.init();
});