define([
    'ex',
    'handle'
], function(ex, handle) {
    var IsOnclickLabel = false;
    var HeaderHeight = 0;
    var OffsetArr = [];
    var HeightArr = [];
    var shopManager_vm = new Vue({
        el: "#commodityManager_page",
        data: {
            shopLabel: [],
            shopData: [],
            LabelClassArr: [],
        },
        ready: function() {

        },
        methods: {
            modifyLabel: function(item) {
                getLabelData(item);
                $.router.load("#modifyLabel_page", true);
            },
            deleteLabel:function(item){
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "spfl_id": item.spfl_id,
                };
                 $.confirm('是否删除该分类？', function () {
                    
                    ex.post("Category/scfl",DATA,function(data){
                    if(data.code == '0'){
                    $.alert("操作成功！");
                    shopManager_main();
                    }else{
                    $.alert(data.msg);
                    }
                    
                },function(){
                
                });
            }); 
            },
            deleteShop:function(item){
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "sp_id": item.sp_id,
                };
                 $.confirm('是否删除该商品？', function () {
                    
                    ex.post("Shop/scshop",DATA,function(data){
                    if(data.code == '0'){
                    $.alert("操作成功！");
                    shopManager_main();
                    }else{
                    $.alert(data.msg);
                    }
                    
                },function(){
                
                });
            }); 
            },
            modifyfood_content: function(item, label) {
                getProductData(item, label);
                $.router.load("#editCommodity_page", true);
            },
            getClass: function(item, index) {
                if (item.sp_status == index) {
                    return 'selected';
                }
                return '';
            },
            onclick_status: function(id, index) {
                var $self = $(event.target);
                var $sibling = $(event.target).siblings(".itemBox");
                if ($self.hasClass("selected") && !$sibling.hasClass("notselected")) {
                    $sibling.addClass("notselected");


                    // $(".pop_selected").addClass("active");

                } else {
                    $sibling.removeClass("notselected");
                }
                if ($self.hasClass("notselected")) {
                    $self.removeClass("notselected").addClass("selected");
                    $sibling.removeClass("selected");

                    // $(".pop_selected").removeClass("active");


                    productStatusFuc(id, index);
                }

            },
            onClickScrollTop: function(index) {
                IsOnclickLabel = true;
                var id = '#' + 'CM_productLabel_' + index;

                setLabelClass(index);


                $('#commodityManager_page .commodityManager_ ').scrollTop(OffsetArr[index]);
                $.refreshScroller();
                setTimeout(function() {
                    IsOnclickLabel = false;
                }, 150);

            },
            getLabelId: function(index) {
                var id = 'CM_productLabel_' + index;
                return id;
            }
        },
    });
    var getOffsetHeiht = function() {
        OffsetArr = [];
        HeightArr = [];
        var header = $("#commodityManager_page .commodityManagerHeader").get(0);
        HeaderHeight = header.offsetHeight;
        var length = shopManager_vm.shopData.length;
        for (var index = 0; index < length; index++) {
            var _offset = $("#CM_productLabel_" + index).offset().top - HeaderHeight;
            var _height = $(".commodityManager_  .cManagerContent").get(index).offsetHeight;

            OffsetArr.push(_offset);
            HeightArr.push(_height);
        }

    };
    var setLabelClass = function(index) {
        var _self = $($(".cManagerLabelLeft .Label").get(index));
        if (!_self.hasClass('active')) {
            _self.addClass('active');
            _self.siblings().removeClass('active');
        }
    };
    var productStatusFuc = function(id, index) {
        var DATA = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),
            "sp_id": id,
            "sp_status": index,
        }
        ex.post("Shop/shopUpDown", DATA, function(data) {
            if (data.code == "0") {
                $.toast("修改成功", 600);
            }
        });
    };
    var scorllOnFunc = function() {
        $("#commodityManager_page .content").off('scroll').on('scroll', function() {
            if (!IsOnclickLabel) {
                var length = shopManager_vm.shopData.length;

                for (var index = 0; index < length; index++) {
                    var _offset = $("#CM_productLabel_" + index).offset().top - HeaderHeight;
                    if (_offset > -HeightArr[index] && _offset <= 0) {
                        setLabelClass(index);


                    }

                }
            }
        });
    }
    var Init_shopManager = function() {
        var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
        var uuid = PersonData.uuid;
        handle.postIndicator("Shop/shopList", {
            "uuid": uuid
        }, function(_data) {
            handle.successCode(_data, function(data) {
                shopManager_vm.shopData = data;
                for (var i = 0; i < data.length; i++) {
                    if (i == 0) {
                        shopManager_vm.LabelClassArr.push('active');
                    } else {
                        shopManager_vm.LabelClassArr.push('');
                    }
                }
                setTimeout(function() {
                    $.router.load("#commodityManager_page", true);
                }, 150);

            });
        }, function() { ex.IsHomeGoTo = false; });
    };
    var shopManager_main = function() {
        var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
        var uuid = PersonData.uuid;
        $(".pop_selected").off().click(function() {
            // $(".pop_selected").removeClass("active");
            $(".itemBox.notselected").removeClass("notselected");
        });
        addShopContentFunc();
        $('#commodityManager_page .commodityManager_ ').scrollTop(0);
        if (!ex.IsHomeGoTo) {
            ex.post("Shop/shopList", {
                "uuid": uuid
            }, function(_data) {
                handle.successCode(_data, function(data) {

                    shopManager_vm.shopData = data;

                    for (var i = 0; i < data.length; i++) {
                        if (i == 0) {
                            shopManager_vm.LabelClassArr.push('active');
                        } else {
                            shopManager_vm.LabelClassArr.push('');
                        }

                    }
                    shopManager_vm.$nextTick(function() {
                        getOffsetHeiht();
                    });
                });
            });
        } else {
            getOffsetHeiht();
        }
        ex.IsHomeGoTo = false;

        scorllOnFunc();

    };

    var addShopContentFunc = function() {
        $("#commodityManager_page").off().on('click', '#addCfood', function() {
            var buttons1 = [

                {
                    text: '+添加分类',
                    //   bold: true,
                    bg: 'gray',
                    onClick: function() {
                        $.router.load("#addNewLabel_page", true);
                    }
                }, {
                    text: '+添加商品',
                    bg: 'gray',
                    onClick: function() {
                        $.router.load("#editNewProduct_page", true);
                    }
                }
            ];
            var buttons2 = [{
                text: '取消',
                bg: 'gray'
            }];
            var groups = [buttons1, buttons2];
            $.actions(groups);
        });
    };
    var getLabelData = function(item) {
            modifyLabel_vm.input_Label = item.spfl_name;
            modifyLabel_vm.spfl_id = item.spfl_id;
        }
        //修改分类
    var modifyLabel_vm = new Vue({
        el: "#modifyLabel_page",
        data: {
            input_Label: "",
            spfl_id: "",
        },
        methods: {

            onClickTrueAdd: function() {
                var _self = this;
                if (this.input_Label == "") {
                    $.alert("输入不能为空！");
                    return;
                }
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "spfl_id": this.spfl_id,
                    "spfl_name": this.input_Label
                }
                handle.postIndicator("Category/xgfl", DATA, function(data) {
                    handle.successCode(data, function(Data) {
                        $.toast("修改分类成功", 1000, 'Truesuccess');
                        $.router.back();
                    });
                });
            },
        }
    });
    //添加分类
    var addNewLabel_vm = new Vue({
        el: "#addNewLabel_page",
        data: {
            input_Label: "",
        },
        methods: {
            onClickTrueAdd: function() {
                var _self = this;
                if (this.input_Label == "") {
                    $.alert("输入不能为空！");
                    return;
                }
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    spfl_name: this.input_Label
                }
                handle.postIndicator("Category/addfl", DATA, function(data) {
                    handle.successCode(data, function(Data) {
                        $.toast("添加分类成功", 1000, 'Truesuccess');
                        //  $.router.back();
                        _self.input_Label = '';
                    });
                });
            },
        }
    });

    //添加新商品 
    var SetPicker = function(id, arr) {
        if (arr.length < 1) {
            $.alert("请先去设置商品分类");
            $.router.back();
            return false;
        }
        $(id).picker({
            toolbarTemplate: '<header class="labelHeader bar bar-nav">\
  <button class="button button-link pull-right close-picker">确定</button>\
  <h1 class="title">请选择类别</h1>\
  </header>',
            cols: [{
                textAlign: 'center',
                values: arr,
            }]
        });
    };
    var addNewProduct_vm = new Vue({
        el: "#editNewProduct_box_vm",
        data: {
            food_photo: "",
            food_name: "",
            price: "",
            sort: "",
            infor: "",
            LabelDATA: "",
            mealFee:0.00,
            Is_LabelChange: false,
        },
        methods: {
            takeNewFoodPic: function() {

                var _self = this;
                var takeHeadImg = function(is_camera) {
                    var _localimg = false;
                    var options = {
                        quality: 60,
                        destinationType: navigator.camera.DestinationType.FILE_URI,
                        allowEdit: false,
                        targetWidth: 620,
                        targetHeight: 400,
                        sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,

                    };
                    if (is_camera) options.sourceType = Camera.PictureSourceType.CAMERA;
                    var getImgSuccess = function(imgurl) {
                        var theimg = new Array(); //定义一数组
                        theimg = imgurl.split("?"); //字符分割 ,直接走相机就没有BUG,否则就有这个BUG
                        console.log(theimg[0]);
                        _localimg = theimg[0];
                        saveImg_upload(_localimg, false)

                    };
                    $.toast("稍等...");
                    navigator.camera.getPicture(getImgSuccess, function(error) {
                        console.log(error);
                    }, options);

                };

                var saveImg_upload = function(file, nothumb) {
                    var _httpimg = false;
                    var is_thumb = "1"; //0为原图,1为缩略图
                    if (nothumb) is_thumb = 0;
                    var serverimgURL = 'http://app.xiaoshiyi.com.cn/';
                    var serverimgURL = ex.config.url;
                    var options = new FileUploadOptions();
                    options.fileKey = "avatar";
                    options.fileName = file.substr(file.lastIndexOf('/') + 1);
                    options.mimeType = "image/jpeg";
                    var params = {};
                    params.is_thumb = is_thumb;
                    options.params = params;
                    var ft = new FileTransfer();
                    ft.upload(file, encodeURI(serverimgURL + 'Public/imgToUrl'), function(data) {
                        // console.log(JSON.stringify(data));
                        _httpimg = JSON.parse(data.response).url;

                        console.log("_httpimg : " + _httpimg);
                        _self.food_photo = _httpimg;
                        $.toast("照片已修改,请保存");

                    }, function() {
                        console.log("图片上传失败");
                    }, options);

                };
                ex.showPhotoChoose(takeHeadImg);
            },
            onClickTrueAdd: function() {
                if (this.food_name == "") {
                    $.alert("商品名字不能为空！");
                    return;
                }
                var spfl_id = null;
                for (var index = 0; index < this.LabelDATA.length; index++) {
                    if (this.LabelDATA[index].spfl_name == this.sort) {
                        spfl_id = this.LabelDATA[index].spfl_id;
                    }
                }
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "name": this.food_name,
                    "price": this.price,
                    "img": this.food_photo,
                    "flid": spfl_id,
                    "introduce": this.infor,
                    "chf":this.mealFee
                }
                var _self = this;
                handle.postIndicator("Shop/addsp", DATA, function(data) {
                    handle.successCode(data, function(data) {
                        $.toast("添加商品成功", 1000, 'Truesuccess');
                        _self.food_photo = '';
                        _self.food_name = '';
                        _self.price = '';
                        _self.infor = '';
                        _self.mealFee = 0.00;
                    });
                    if (data.code == "-1") {
                        $.alert(data.msg);
                    }
                });
            },
        }
    });
    //  var addNewP_Bool = false;
    var addNewProduct_main = function() {
        addNewProduct_vm.Is_LabelChange = !addNewProduct_vm.Is_LabelChange;
        addNewProduct_vm.food_photo = "";
        addNewProduct_vm.food_name = "";
        addNewProduct_vm.price = "";
        addNewProduct_vm.sort = "";
        addNewProduct_vm.infor = "";
        addNewProduct_vm.LabelDATA = "";
        addNewProduct_vm.mealFee = "0.00";
        var LabelArr = [];
        var DATA = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),

        }
        ex.post("Category/dphqfl", DATA, function(data) {
            handle.successCode(data, function(Data) {
                addNewProduct_vm.LabelDATA = Data;
                for (var index = 0; index < Data.length; index++) {
                    LabelArr.push(Data[index].spfl_name);
                }

                SetPicker("#addNewP_picker>input", LabelArr);


            });
        });
    };
    //修改商品
    var getProductData = function(item, spfl_name) {
        var _self = modifyProduct_vm;
        _self.food_photo = item.sp_img;
        _self.food_name = item.sp_name;
        _self.price = item.sp_price;
        _self.sort = spfl_name;
        _self.infor = item.sp_introduce;
        _self.id = item.sp_id;
        _self.mealFee = item.chf;
    };
    var modifyProduct_vm = new Vue({
        el: "#modifyfoodContent_Box_vm",
        data: {
            food_photo: "",
            food_name: "",
            price: "",
            sort: "",
            infor: "",
            LabelDATA: "",
            id: "",
            mealFee:0.00,
            IsmodifyProductLabel: false,
        },
        methods: {

            takeFoodPic: function() {

                var _self = this;
                var takeHeadImg = function(is_camera) {
                    var _localimg = false;
                    var options = {
                        quality: 60,
                        destinationType: navigator.camera.DestinationType.FILE_URI,
                        allowEdit: false,
                        targetWidth: 620,
                        targetHeight: 400,
                        sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,

                    };
                    if (is_camera) options.sourceType = Camera.PictureSourceType.CAMERA;
                    var getImgSuccess = function(imgurl) {
                        var theimg = new Array(); //定义一数组
                        theimg = imgurl.split("?"); //字符分割 ,直接走相机就没有BUG,否则就有这个BUG
                        console.log(theimg[0]);
                        _localimg = theimg[0];
                        saveImg_upload(_localimg, false)

                    };
                    $.toast("稍等...");
                    navigator.camera.getPicture(getImgSuccess, function(error) {
                        console.log(error);
                    }, options);

                };

                var saveImg_upload = function(file, nothumb) {
                    var _httpimg = false;
                    var is_thumb = "1"; //0为原图,1为缩略图
                    if (nothumb) is_thumb = 0;
                    var serverimgURL = 'http://app.xiaoshiyi.com.cn/';
                     var serverimgURL = ex.config.url;
                    var options = new FileUploadOptions();
                    options.fileKey = "avatar";
                    options.fileName = file.substr(file.lastIndexOf('/') + 1);
                    options.mimeType = "image/jpeg";
                    var params = {};
                    params.is_thumb = is_thumb;
                    options.params = params;
                    var ft = new FileTransfer();
                    ft.upload(file, encodeURI(serverimgURL + 'Public/imgToUrl'), function(data) {
                        // console.log(JSON.stringify(data));
                        _httpimg = JSON.parse(data.response).url;

                        console.log("_httpimg : " + _httpimg);
                        ex.setItem("heading");
                        _self.food_photo = _httpimg;
                        $.alert("照片已修改,请保存");

                    }, function() {
                        console.log("图片上传失败");
                    }, options);

                };
                ex.showPhotoChoose(takeHeadImg);
            },

            onClickTrueAdd: function() {
                if (this.food_name == "") {
                    $.alert("商品名字不能为空！");
                    return;
                }
                var spfl_id = null;
                for (var index = 0; index < this.LabelDATA.length; index++) {
                    if (this.LabelDATA[index].spfl_name == this.sort) {
                        spfl_id = this.LabelDATA[index].spfl_id;
                    }
                }
                console.log(spfl_id);
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "sp_id": this.id,
                    "sp_name": this.food_name,
                    "sp_price": this.price,
                    "sp_img": this.food_photo,
                    "spfl_id": spfl_id,
                    "sp_introduce": this.infor,
                    "chf":this.mealFee
                }
                var _self = this;
                handle.postIndicator("Shop/bjSp", DATA, function(data) {
                    handle.successCode(data, function(data) {
                        $.toast("修改商品成功", 1000, 'Truesuccess');
                        $.router.back();
                    });
                    if (data.code == "-1") {
                        $.alert(data.msg);
                    }
                });
            },
        }
    });

    var modifyProduct_main = function() {
        modifyProduct_vm.IsmodifyProductLabel = !modifyProduct_vm.IsmodifyProductLabel;
        var LabelArr = [];
        var DATA = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),

        }
        ex.post("Category/dphqfl", DATA, function(data) {
            handle.successCode(data, function(Data) {
                modifyProduct_vm.LabelDATA = Data;
                for (var index = 0; index < Data.length; index++) {
                    LabelArr.push(Data[index].spfl_name);
                }

                SetPicker("#modifyFoodContentpicker>input", LabelArr);



            });
        });

    }

    return {

        Init_shopManager: Init_shopManager,
        shopManager_main: shopManager_main,
        addNewProduct_main: addNewProduct_main,
        modifyProduct_main: modifyProduct_main,
    }
});